<template>
  <div class="flex flex-col w-full">
    <div class="flex justify-between items-center mb-[22px]">
      <span class="text-2xl font-bold --text2">{{
        displayName.replace("-", " ")
      }}</span>
      <nuxt-link :to="displayName" class="text-base fc-primary"
        >{{ $t("see_all")
        }}<font-awesome-icon class="ml-3" icon="arrow-right-long"
      /></nuxt-link>
    </div>
    <div class="grid w-full grid-cols-3">
      <div
        v-for="(item, index) in playableGame"
        :key="index"
        :class="['col-span-1', { 'ml-2.5': index !== 0 }]"
      >
        <div class="relative rounded-lg h-52 bg-background1">
          <nuxt-link :to="!authenticated ? '/login' : `/game/${item.GameId}`" :id="ID.SPORT_MODULE_2[item.GameProviderId]">
            <sport-horizontal-game-entry-skeleton
              class="w-full h-full"
              variant="FLOATING_TAGS"
              :label="item.GameProviderDisplayName"
              :is-hidden="false"
              :person-image="item.StarImagePath"
              :is-use-text="true"
              :use-slashes="true"
              :is-new="item.IsNewGame"
              :is-hot="item.IsHotGame"
              :game-id="item.GameProviderId"
            />
          </nuxt-link>
        </div>
      </div>
    </div>
  </div>
</template>

<script lang="ts" setup>
import { computed, defineProps } from "vue";
import { orderBy } from "lodash-es";
import { store } from "@/store";
import { ILobbySettingsText } from "~~/models/customizeTheme";
import { gameStore } from "~~/store/game";
import SportDisplayModel from "~~/components/sport/sportDisplayModel";

const props = defineProps<{
  data: ILobbySettingsText;
}>();

const dataForDisplay = computed(() => props.data);
const isLiveCasino = computed(() =>
  dataForDisplay.value.SelectedModule.toLowerCase().includes("live casino")
);
const authenticated = computed(() => store.state.auth);
const playableGame = computed(() =>
  orderBy(gameStore.state.games, "Rank")
    .filter(
      (game) =>
        game.Category === (isLiveCasino.value ? 2 : 1) && game.ForDesktop
    )
    .slice(0, 3)
    .map((item) => new SportDisplayModel(item))
);
const displayName = computed(() =>
  dataForDisplay.value.SelectedModule.replace(" Module", "")
    .replace(/\s/g, "-")
    .replace("ing", "")
);
</script>
